import { Rectangle } from './annotation-set.model';
export declare class Utils {
    buildLineRectangle(rectangles: any): {
        y: any;
        x: any;
        width: any;
        height: any;
    };
    generateRectanglePerLine(annotationRectangles: Rectangle[], generatedRectangles: Rectangle[]): void;
    getAnnotationLineHeight(rectangles: Rectangle[]): number;
    sortByY(rectangles: Rectangle[], lowest?: boolean): void;
    sortByX(rectangles: Rectangle[], lowest?: boolean): void;
    sortByLinePosition(a: Rectangle[], b: Rectangle[]): number;
    difference(a: number, b: number): number;
    clickIsHighlight(event: MouseEvent): boolean;
    getClickedPage(event: any): number;
}
